uk.ac.starlink.table

## Enum HealpixTableInfo.HpxCoordSys

- java.lang.Object
- - java.lang.Enum<HealpixTableInfo.HpxCoordSys>
  - - uk.ac.starlink.table.HealpixTableInfo.HpxCoordSys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HealpixTableInfo.HpxCoordSys>
  Enclosing class:
    HealpixTableInfo

      public static enum HealpixTableInfo.HpxCoordSys
      extends java.lang.Enum<HealpixTableInfo.HpxCoordSys>

  Characterises the coordinate systems defined by the HEALpix-FITS serialization convention. These are the values permitted for the HEALPix-FITS COORDSYS keyword.
  See Also:
    HEALPix-FITS convention

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CELESTIAL` Equatorial, also called celestial.
    `ECLIPTIC` Ecliptic.
    `GALACTIC` Galactic.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HealpixTableInfo.HpxCoordSys` | `fromCharacter(char c)` Returns the instance of this class corresponding to a character label (as used in the FITS serialization).
    `java.lang.String` | `getCharString()` Returns the 1-character string used to label this system in the FITS serialization.
    `java.lang.String` | `getWord()` Returns a human-readable short description of this system.
    `static HealpixTableInfo.HpxCoordSys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HealpixTableInfo.HpxCoordSys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GALACTIC

          public static final HealpixTableInfo.HpxCoordSys GALACTIC

      Galactic.

    - #### ECLIPTIC

          public static final HealpixTableInfo.HpxCoordSys ECLIPTIC

      Ecliptic.

    - #### CELESTIAL

          public static final HealpixTableInfo.HpxCoordSys CELESTIAL

      Equatorial, also called celestial.

  - ### Method Detail

    - #### values

          public static HealpixTableInfo.HpxCoordSys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HealpixTableInfo.HpxCoordSys c : HealpixTableInfo.HpxCoordSys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HealpixTableInfo.HpxCoordSys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCharString

          public java.lang.String getCharString()

      Returns the 1-character string used to label this system in the FITS serialization.
      Returns:
        1-character string

    - #### getWord

          public java.lang.String getWord()

      Returns a human-readable short description of this system.
      Returns:
        description

    - #### fromCharacter

          public static HealpixTableInfo.HpxCoordSys fromCharacter(char c)

      Returns the instance of this class corresponding to a character label (as used in the FITS serialization). Null is returned if the character is not known.
      Parameters:
        `c` - coordinate system label
      Returns:
        coordinate system object, or null